## kalzium 19.08.1

=== debian/changelog ===
kalzium (4:19.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Update VCS entries in changelog.

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5.0
    - bump Qt packages to 5.9.0
    - bump KF packages to 5.42.0
    - remove libboost-python-dev (Closes: #890195), libkf5kdelibs4support-dev,
      libkf5newstuff-dev, libqt5opengl5-dev, and qtdeclarative5-dev
  * Update the patches:
    - no_install_rpath_use_link_path.diff: refresh
    - avoid_nameclash.patch: refresh
    - add_missing_include.patch: drop, fixed upstream
  * Explicitly remove the development stuff, to make sure it is not
    accidentally shipped anywhere
    - drop debian/not-installed, no more needed now
    - invoke dh_install with --fail-missing, to not miss uninstalled files
  * Small changes to copyright.
  * Update lintian overrides.
  * Remove empty line at the end of changelog.

 -- Pino Toscano <pino@debian.org>  Wed, 09 Oct 2019 08:04:21 +0200

=== debian/control ===
Source: kalzium
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: chemical-mime-data,
               cmake (>= 3.5.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.42.0~),
               gettext,
               libeigen3-dev (>> 2.0.3),
               libfacile-ocaml-dev,
               libkf5archive-dev (>= 5.42.0~),
               libkf5config-dev (>= 5.42.0~),
               libkf5coreaddons-dev (>= 5.42.0~),
               libkf5doctools-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5khtml-dev (>= 5.42.0~),
               libkf5parts-dev (>= 5.42.0~),
               libkf5plotting-dev (>= 5.42.0~),
               libkf5solid-dev (>= 5.42.0~),
               libkf5unitconversion-dev (>= 5.42.0~),
               libkf5widgetsaddons-dev (>= 5.42.0~),
               libopenbabel-dev,
               libqt5svg5-dev (>= 5.9.0~),
               pkg-config,
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.9.0~),
               qtscript5-dev (>= 5.9.0~),
Standards-Version: 4.4.1
Homepage: http://edu.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalzium
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalzium.git

Package: kalzium
Architecture: any
Section: science
Depends: kalzium-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkdeedu4 (<< 4:4.6.2), libscience4
Replaces: libkdeedu4 (<< 4:4.6.2), libscience4
Suggests: chemical-mime-data, khelpcenter
Description: periodic table and chemistry tools
 Kalzium is a full-featured chemistry application, including a
 Periodic Table of Elements, chemical reference, chemical equation solver, and
 3D molecule viewer.
 .
 This package is part of the KDE education module.

Package: kalzium-data
Architecture: all
Section: science
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: data files for Kalzium
 This package contains architecture-independent data files for Kalzium, the
 KDE periodic table application.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-6~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command)
	# drop translations of plasma-related components, since they are
	# not ported yet
	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/plasma_*.mo
	# drop development stuff
	rm -rf debian/tmp/usr/include/
	find debian/tmp -name '*.so' -type l -delete

override_dh_install:
	$(overridden_command) --fail-missing

## kalzium 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

# KDE Application Version, managed by release script
set(KDE_APPLICATIONS_VERSION_MAJOR "19")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "3")
set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

project(kalzium VERSION ${KDE_APPLICATIONS_VERSION})

set(QT_MIN_VERSION "5.9.0")
set(KF5_MIN_VERSION "5.42.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${kalzium_SOURCE_DIR}/cmake/modules)

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMInstallIcons)
include(ECMMarkNonGuiExecutable)
include(CheckIncludeFiles)
include(ECMSetupVersion)

find_package(Gettext REQUIRED)
find_package(PythonInterp REQUIRED)
find_package(PkgConfig)
find_package(OpenBabel2)
find_package(AvogadroLibs)
find_package(Eigen3)
find_package(OCaml)
find_package(Libfacile)

pkg_check_modules(CHEMICAL_MIME_DATA chemical-mime-data)
check_include_files(ieeefp.h HAVE_IEEEFP_H)

# create configuration file
set(HAVE_FACILE ${LIBFACILE_FOUND})
set(HAVE_OPENBABEL2 ${OPENBABEL2_FOUND})
set(HAVE_EIGEN ${EIGEN3_FOUND})
set(HAVE_AVOGADRO ${AvogadroLibs_FOUND})
configure_file(
   ${CMAKE_CURRENT_SOURCE_DIR}/config-kalzium.h.cmake
   ${CMAKE_CURRENT_BINARY_DIR}/config-kalzium.h
)

include_directories(${AvogadroLibs_INCLUDE_DIRS})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    Gui
    Script
    Svg
    Widgets
    Xml
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Archive
    Config
    CoreAddons
    DocTools
    I18n
    Parts
    Plotting
    Solid
    UnitConversion
    WidgetsAddons
)

ecm_setup_version("5.0.0"
    VARIABLE_PREFIX KALZIUMLIB
)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
endif()

# search packages used by KDE
if(WIN32)
  find_package(KDEWIN32 REQUIRED)
  # detect oxygen icon dir at configure time based on KDEDIRS - there may be different package installation locations
 #execute_process(COMMAND "${KDE4_KDECONFIG_EXECUTABLE}" --path icon OUTPUT_VARIABLE _dir #ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
  #file(TO_CMAKE_PATH "${_dir}" __dir)
  #find_path(KDE4_ICON_DIR oxygen PATHS
   #  ${__dir})
 # message(STATUS "using oxygen application icons from ${KDE4_ICON_DIR}")
else(WIN32)
 # set (KDE4_ICON_DIR  ${CMAKE_INSTALL_PREFIX}/share/icons)
endif(WIN32)

add_definitions(
    -DQT_NO_URL_CAST_FROM_STRING
)
#include_directories (${QDBUS_INCLUDE_DIRS}  ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} libscience)
if(MSVC)
# for correctly linking openbabel:
# see http://www.mail-archive.com/openbabel-devel@lists.sourceforge.net/msg01975.html
add_definitions(-DUSING_DYNAMIC_LIBS)
endif(MSVC)

if (OPENBABEL2_FOUND AND AvogadroLibs_FOUND AND EIGEN3_FOUND)
  find_package(Qt5OpenGL ${QT_MIN_VERSION} REQUIRED)
  find_package(KF5NewStuff REQUIRED)
  # avoid compilerwarnings about redefinitions
  # todo: use check_function_exits() ?
  message(STATUS "Kalzium molecular editor enabled")
  if (WIN32)
    add_definitions(-DHAVE_SNPRINTF -DHAVE_STRCASECMP -DHAVE_STRNCASECMP)
  endif (WIN32)
  add_subdirectory(compoundviewer)
else (OPENBABEL2_FOUND AND AvogadroLibs_FOUND AND EIGEN3_FOUND)
  message(STATUS "Kalzium molecular editor disabled")
endif (OPENBABEL2_FOUND AND AvogadroLibs_FOUND AND EIGEN3_FOUND)

add_subdirectory(doc)
add_subdirectory(src)
add_subdirectory(data)
# add_subdirectory(plasmoid)
add_subdirectory(libscience)
# add_subdirectory(qml)

install(FILES org.kde.kalzium.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== src/CMakeLists.txt ===
include_directories(
   ${CMAKE_SOURCE_DIR}/libscience/
   ../compoundviewer
   tools
   calculator
   psetable
   isotopetable
   ${CMAKE_CURRENT_BINARY_DIR}/..
   ${CMAKE_CURRENT_BINARY_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}
   )

ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX KALZIUM VERSION_HEADER kalzium_version.h)

########### next target ###############

# The tools can only be built when OpenBabel2 is found.
# The moleculeviewer needs not only OpenBabel2 but also Eigen2 and Avogadro,
# so there is a nested if-check.
if (OPENBABEL2_FOUND)
   set(kalziumtools_SRCS
      tools/obconverter.cpp
      )

   ki18n_wrap_ui(kalziumtools_SRCS
      tools/obconverterwidget.ui
      )
   include_directories(SYSTEM ${OPENBABEL2_INCLUDE_DIR})

   if (EIGEN3_FOUND AND AvogadroLibs_FOUND)

      #include(${Avogadro_USE_FILE})

      set(kalziumtools_SRCS
         ${kalziumtools_SRCS}
         tools/moleculeview.cpp
         ../compoundviewer/kalziumglwidget.cpp
         )
      ki18n_wrap_ui(kalziumtools_SRCS
         tools/moleculeviewerwidget.ui
         )
      include_directories(${EIGEN3_INCLUDE_DIR})
   endif (EIGEN3_FOUND AND AvogadroLibs_FOUND)
endif (OPENBABEL2_FOUND)

## Kalzium calculator files
set(kalziumtools_SRCS
   ${kalziumtools_SRCS}
   calculator/calculator.cpp
   calculator/nuclearCalculator.cpp
   calculator/gasCalculator.cpp
   calculator/concCalculator.cpp
   calculator/titrationCalculator.cpp
#   calculator/massCalculator.cpp
   )
ki18n_wrap_ui(kalziumtools_SRCS
   calculator/calculator.ui
   calculator/nuclearCalculator.ui
   calculator/gasCalculator.ui
   calculator/concCalculator.ui
   calculator/settings_calc.ui
   calculator/titrationCalculator.ui
#   calculator/massCalculator.ui
   )

set(kalzium_SRCS
   ${kalziumtools_SRCS}
   isotopetable/informationitem.cpp
   isotopetable/isotopeguideview.cpp
   isotopetable/isotopeitem.cpp
   isotopetable/isotopescene.cpp
   isotopetable/isotopetabledialog.cpp
   isotopetable/isotopeview.cpp
   psetable/elementitem.cpp
   psetable/numerationitem.cpp
   psetable/periodictableview.cpp
   psetable/periodictablescene.cpp
   psetable/periodictablestates.cpp
   psetable/statemachine.cpp
   kalzium.cpp
   main.cpp
   detailinfodlg.cpp
   tablesdialog.cpp
   detailedgraphicaloverview.cpp
   orbitswidget.cpp
   elementdataviewer.cpp
   molcalcwidget.cpp
   gradientwidget_impl.cpp
   kalziumdataobject.cpp
   kalziumutils.cpp
   kalziumgradienttype.cpp
   kalziumnumerationtype.cpp
   kalziumelementproperty.cpp
   kalziumschemetype.cpp
   kalziumunitcombobox.cpp
   unitsettingsdialog.cpp
   search.cpp
   searchwidget.cpp
   rsdialog.cpp
   legendwidget.cpp
   exportdialog.cpp
   tableinfowidget.cpp
   spectrumviewimpl.cpp
   spectrumwidget.cpp
   kdeeduglossary.cpp
   )

if (LIBFACILE_FOUND)
   include(CMakeOCamlInstructions.cmake)

   set(kalzium_SRCS
      ${kalzium_SRCS}
      eqchemview.cpp
      ${CMAKE_CURRENT_BINARY_DIR}/solver.o
      ${CMAKE_CURRENT_BINARY_DIR}/modwrap.o
      )
   ki18n_wrap_ui(kalzium_SRCS
      equationview.ui
      )
endif (LIBFACILE_FOUND)

ki18n_wrap_ui(kalzium_SRCS
   isotopetable/isotopedialog.ui
   settings_colors.ui
   plotsetupwidget.ui
   molcalcwidgetbase.ui
   spectrumview.ui
   settings_gradients.ui
   rswidget.ui
   gradientwidget.ui
   exportdialog.ui
   )

kconfig_add_kcfg_files(kalzium_SRCS prefs.kcfgc )

#kde4_add_app_icon(kalzium_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/hi*-app-kalzium.png")

add_executable(kalzium ${kalzium_SRCS})

target_link_libraries(kalzium
    KF5::Completion
    KF5::ConfigWidgets
    KF5::ItemViews
    KF5::KIOWidgets
    KF5::Plotting
    KF5::Service
    KF5::TextWidgets
    KF5::UnitConversion
    KF5::XmlGui
    Qt5::Script
    Qt5::Svg
    science
)
if (OPENBABEL2_FOUND)
   target_link_libraries(kalzium ${OPENBABEL2_LIBRARIES})
   if (EIGEN3_FOUND AND AvogadroLibs_FOUND)
      target_link_libraries(kalzium
         KF5::NewStuff
         Qt5::OpenGL
         compoundviewer
         AvogadroQtGui
         AvogadroQtOpenGL
         AvogadroQtPlugins
       )
   endif (EIGEN3_FOUND AND AvogadroLibs_FOUND)
endif (OPENBABEL2_FOUND)

if (LIBFACILE_FOUND)
   link_directories(${OCAMLC_DIR})
   set(CMAKE_LIBRARY_PATH ${OCAMLC_DIR})
   set(kalzium_EXTRA_LIBS)

   find_library(OCAML_ASMRUN_LIBRARY NAMES asmrun)
   if (OCAML_ASMRUN_LIBRARY)
      set(kalzium_EXTRA_LIBS ${kalzium_EXTRA_LIBS} ${OCAML_ASMRUN_LIBRARY})
   endif (OCAML_ASMRUN_LIBRARY)

   find_library(OCAML_STR_LIBRARY NAMES str)
   if (OCAML_STR_LIBRARY)
      set(kalzium_EXTRA_LIBS ${kalzium_EXTRA_LIBS} ${OCAML_STR_LIBRARY})
   endif (OCAML_STR_LIBRARY)

   find_library(OCAML_NUMS_LIBRARY NAMES nums)
   if (OCAML_NUMS_LIBRARY)
      set(kalzium_EXTRA_LIBS ${kalzium_EXTRA_LIBS} ${OCAML_NUMS_LIBRARY})
   endif (OCAML_NUMS_LIBRARY)

   target_link_libraries(kalzium ${kalzium_EXTRA_LIBS} m ${CMAKE_DL_LIBS})
endif (LIBFACILE_FOUND)

install(TARGETS kalzium ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(PROGRAMS org.kde.kalzium.desktop org.kde.kalzium_cml.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES kalzium.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(FILES kalziumui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/kalzium)
install(FILES kalzium.knsrc DESTINATION ${CONFIG_INSTALL_DIR})

ecm_install_icons(ICONS
    16-apps-kalzium.png
    22-apps-kalzium.png
    32-apps-kalzium.png
    48-apps-kalzium.png
    64-apps-kalzium.png
    128-apps-kalzium.png
    sc-apps-kalzium.svgz
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== data/htmlview/CMakeLists.txt ===
FILE(GLOB HTMLVIEW_ICONS "*.png")

install( FILES
   ${HTMLVIEW_ICONS}
   icons.svg
   DESTINATION  ${DATA_INSTALL_DIR}/kalzium/data/htmlview )

=== libscience/data/CMakeLists.txt ===

install(FILES
   elements.xml
   isotopes.xml
   symbols.csv
   symbols2.csv
   spectra.xml DESTINATION ${DATA_INSTALL_DIR}/libkdeedu/data/
)

=== plasmoid/engine/CMakeLists.txt ===
set(kalzium_engine_SRCS
    kalzium_engine.cpp
)

include_directories(
   ${CMAKE_SOURCE_DIR}/libkdeedu/libscience/
   )

add_library(plasma_engine_kalzium ${kalzium_engine_SRCS})
target_link_libraries(plasma_engine_kalzium
   KF5::Plasma
   Qt5::Xml
   science
)

install(TARGETS plasma_engine_kalzium DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-dataengine-kalzium.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
kalzium (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:05:55 +0000

kalzium (4:19.12.2-0ubuntu2) focal; urgency=medium

  * Fix build of molecular-editor with OpenBabel3.
    - debian/control Update build dependencies, adding libqt5opengl5-dev,
      libkf5newstuff-dev, and restoring libavogadro-dev
    - debian/rules: Explicitly pass OpenBanel include dir, libs etc to
      configure.
    - debian/patches: Add kalzium-openbabel3.patch, thanks to Antonio Rojas.
    - Update install files.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Feb 2020 10:52:53 +0000

kalzium (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:17:16 +0000

kalzium (4:19.12.1-0ubuntu2) focal; urgency=medium

  * No-change rebuild against libopenbabel6.

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jan 2020 10:48:04 +0000

kalzium (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:51:13 +0000

kalzium (4:19.12.0-0ubuntu1) focal; urgency=medium

  * Refresh patches.
  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:44:46 +0000

kalzium (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:29:31 +0000

kalzium (4:19.08.1-1ubuntu1) focal; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Breaks/Replaces to suit Kubuntu version history.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 08:40:27 +0000

kalzium (4:19.04.3-0ubuntu3) focal; urgency=medium

  * Drop avogadro build dep. Debian removed avogadro rather than
    packaging the new version that works works with kalzium in KDE Neon
    etc.

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Oct 2019 16:52:51 +0000

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                debhelper (>= 11~),
                extra-cmake-modules (>= 5.42.0~),
                gettext,
+               libavogadro-dev,
                libeigen3-dev (>> 2.0.3),
                libfacile-ocaml-dev,
                libkf5archive-dev (>= 5.42.0~),
@@ -18,12 +19,14 @@
                libkf5doctools-dev (>= 5.42.0~),
                libkf5i18n-dev (>= 5.42.0~),
                libkf5khtml-dev (>= 5.42.0~),
+               libkf5newstuff-dev (>= 5.42.0~),
                libkf5parts-dev (>= 5.42.0~),
                libkf5plotting-dev (>= 5.42.0~),
                libkf5solid-dev (>= 5.42.0~),
                libkf5unitconversion-dev (>= 5.42.0~),
                libkf5widgetsaddons-dev (>= 5.42.0~),
                libopenbabel-dev,
+               libqt5opengl5-dev,
                libqt5svg5-dev (>= 5.9.0~),
                pkg-config,
                pkg-kde-tools (>= 0.14),
@@ -31,8 +34,8 @@
                qtscript5-dev (>= 5.9.0~),
 Standards-Version: 4.4.1
 Homepage: http://edu.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalzium
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalzium.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalzium
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalzium
 
 Package: kalzium
 Architecture: any
@@ -54,8 +57,8 @@
 Architecture: all
 Section: science
 Depends: ${misc:Depends}
-Breaks: ${kde-l10n:all}
-Replaces: ${kde-l10n:all}
+Breaks: kalzium (<< 4:18.08.3~), ${kde-l10n:all}
+Replaces: kalzium (<< 4:18.08.3~), ${kde-l10n:all}
 Description: data files for Kalzium
  This package contains architecture-independent data files for Kalzium, the
  KDE periodic table application.

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,15 @@
 
 l10npkgs_firstversion_ok := 4:16.04.3-6~
 
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
+
+override_dh_auto_configure:
+	$(overridden_command) -- -DOPENBABEL2_INCLUDE_DIR=/usr/include/openbabel3 \
+	-DOPENBABEL2_LIBRARIES=/usr/lib/$(DEB_HOST_MULTIARCH)/libopenbabel.so \
+	-DOPENBABEL2_VERSION_MET=TRUE
 
 override_dh_auto_install:
 	$(overridden_command)

## kalzium 20.08.1

=== debian/changelog ===
kalzium (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:50:13 +0100

kalzium (4:20.08.0-0ubuntu3) groovy; urgency=medium

  * Add libopengl-dev to Build-Depends in order to avoid FTBFS

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 31 Aug 2020 12:21:36 +0100

kalzium (4:20.08.0-0ubuntu2) groovy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Aug 2020 12:39:39 +0200

kalzium (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:43:52 +0100

kalzium (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:34:28 +0100

kalzium (4:20.04.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:11:29 +0100

kalzium (4:20.04.1-0ubuntu2) groovy; urgency=medium

  * Rebuild against new libopenbabel7.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Jun 2020 19:29:08 +0200

kalzium (4:20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:32:35 +0100

kalzium (4:20.04.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.0)
  * Refresh patches.

 -- Rik Mills <rikmills@kde.org>  Mon, 04 May 2020 10:19:06 +0100

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
                libkf5unitconversion-dev (>= 5.42.0~),
                libkf5widgetsaddons-dev (>= 5.42.0~),
                libopenbabel-dev,
+               libopengl-dev,
                libqt5opengl5-dev,
                libqt5svg5-dev (>= 5.9.0~),
                pkg-config,

## kalzium 20.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
 cmake_minimum_required(VERSION 3.5)
 
 # KDE Application Version, managed by release script
-set(KDE_APPLICATIONS_VERSION_MAJOR "19")
-set(KDE_APPLICATIONS_VERSION_MINOR "12")
-set(KDE_APPLICATIONS_VERSION_MICRO "3")
-set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
+set(RELEASE_SERVICE_VERSION_MAJOR "20")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
-project(kalzium VERSION ${KDE_APPLICATIONS_VERSION})
+project(kalzium VERSION ${RELEASE_SERVICE_VERSION})
 
 set(QT_MIN_VERSION "5.9.0")
-set(KF5_MIN_VERSION "5.42.0")
+set(KF5_MIN_VERSION "5.57.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${kalzium_SOURCE_DIR}/cmake/modules)
@@ -72,10 +72,7 @@
 ecm_setup_version("5.0.0"
     VARIABLE_PREFIX KALZIUMLIB
 )
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
-endif()
+
 
 # search packages used by KDE
 if(WIN32)
@@ -96,7 +93,7 @@
 #include_directories (${QDBUS_INCLUDE_DIRS}  ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} libscience)
 if(MSVC)
 # for correctly linking openbabel:
-# see http://www.mail-archive.com/openbabel-devel@lists.sourceforge.net/msg01975.html
+# see https://www.mail-archive.com/openbabel-devel@lists.sourceforge.net/msg01975.html
 add_definitions(-DUSING_DYNAMIC_LIBS)
 endif(MSVC)
 
@@ -121,10 +118,10 @@
 add_subdirectory(libscience)
 # add_subdirectory(qml)
 
+ki18n_install(po)
+if (KF5DocTools_FOUND)
+    kdoctools_install(po)
+endif()
 install(FILES org.kde.kalzium.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-ki18n_install(po)
-if (KF5DocTools_FOUND)
- kdoctools_install(po)
-endif()

=== compoundviewer/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}/..
    ${EIGEN3_INCLUDE_DIR}
    ${OPENBABEL2_INCLUDE_DIR}
    ${AvogadroLibs_INCLUDE_DIRS}
    ${PROJECT_SOURCE_DIR}/compoundviewer
)

set(compoundviewer_SRCS
    iowrapper.cpp
    kalziumglwidget.cpp
)

#add_subdirectory(widgets)

add_library(compoundviewer ${compoundviewer_SRCS})

target_link_libraries(compoundviewer
    KF5::I18n
    KF5::WidgetsAddons
    KF5::CoreAddons
    Qt5::OpenGL
    Qt5::Gui
    Qt5::Widgets
    ${OPENBABEL2_LIBRARIES}
    AvogadroQtGui
    AvogadroQtOpenGL
    AvogadroQtPlugins
)

set_target_properties(compoundviewer PROPERTIES
    VERSION ${KALZIUMLIB_VERSION}
    SOVERSION ${KALZIUMLIB_SOVERSION}
    CXX_STANDARD 14
    CXX_STANDARD_REQUIRED ON
)

install(TARGETS compoundviewer ${INSTALL_TARGETS_DEFAULT_ARGS})

=== doc/CMakeLists.txt ===
########### install files ###############

kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kalzium)
kdoctools_create_manpage(man-kalzium.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})

=== plasmoid/CMakeLists.txt ===
add_subdirectory(applet)
add_subdirectory(engine)

=== data/icons/CMakeLists.txt ===

ecm_install_icons(ICONS
    16-actions-calculate.png
    16-actions-chemical.png
    16-actions-elempic.png
    16-actions-energies.png
    16-actions-eqchem.png
    16-actions-glossary.png
    16-actions-isotopemap.png
    16-actions-kalzium_molviewer.png
    16-actions-kalzium_rs.png
    16-actions-kalzium_tables.png
    16-actions-legend.png
    16-actions-misc.png
    16-actions-numbers.png
    16-actions-orbits.png
    16-actions-overview.png
    16-actions-plot.png
    16-actions-sidebar.png
    16-actions-spectrum.png
    16-actions-statematter.png
    16-actions-timeline.png
    16-actions-tooltip.png
    22-actions-calculate.png
    22-actions-chemical.png
    22-actions-elempic.png
    22-actions-energies.png
    22-actions-eqchem.png
    22-actions-glossary.png
    22-actions-isotopemap.png
    22-actions-kalzium_molviewer.png
    22-actions-kalzium_rs.png
    22-actions-kalzium_tables.png
    22-actions-legend.png
    22-actions-numbers.png
    22-actions-orbits.png
    22-actions-overview.png
    22-actions-plot.png
    22-actions-sidebar.png
    22-actions-spectrum.png
    22-actions-statematter.png
    22-actions-timeline.png
    22-actions-tooltip.png
    32-actions-calculate.png
    32-actions-chemical.png
    32-actions-elempic.png
    32-actions-energies.png
    32-actions-eqchem.png
    32-actions-glossary.png
    32-actions-isotopemap.png
    32-actions-kalzium_molviewer.png
    32-actions-kalzium_rs.png
    32-actions-kalzium_tables.png
    32-actions-legend.png
    32-actions-misc.png
    32-actions-numbers.png
    32-actions-orbits.png
    32-actions-overview.png
    32-actions-plot.png
    32-actions-sidebar.png
    32-actions-spectrum.png
    32-actions-statematter.png
    32-actions-timeline.png
    32-actions-tooltip.png
    48-actions-calculate.png
    48-actions-chemical.png
    48-actions-energies.png
    48-actions-eqchem.png
    48-actions-glossary.png
    48-actions-isotopemap.png
    48-actions-kalzium_molviewer.png
    48-actions-kalzium_rs.png
    48-actions-kalzium_tables.png
    48-actions-legend.png
    48-actions-misc.png
    48-actions-numbers.png
    48-actions-orbits.png
    48-actions-overview.png
    48-actions-plot.png
    48-actions-sidebar.png
    48-actions-spectrum.png
    48-actions-statematter.png
    48-actions-timeline.png
    48-actions-tooltip.png
    64-actions-kalzium_molviewer.png
    64-actions-kalzium_rs.png
    64-actions-kalzium_tables.png
    64-actions-numbers.png
    sc-actions-calculate.svgz
    sc-actions-chemical.svgz
    sc-actions-elempic.svgz
    sc-actions-energies.svgz
    sc-actions-eqchem.svgz
    sc-actions-glossary.svgz
    sc-actions-isotopemap.svgz
    sc-actions-kalzium_molviewer.svgz
    sc-actions-kalzium_rs.svgz
    sc-actions-kalzium_tables.svgz
    sc-actions-misc.svgz
    sc-actions-numbers.svgz
    sc-actions-orbits.svgz
    sc-actions-overview.svgz
    sc-actions-plot.svgz
    sc-actions-sidebar.svgz
    sc-actions-spectrum.svgz
    sc-actions-statematter.svgz
    sc-actions-timeline.svgz
    sc-actions-tooltip.svgz
    DESTINATION ${DATA_INSTALL_DIR}/kalzium/icons THEME hicolor)

=== plasmoid/applet/didyouknow/CMakeLists.txt ===
#include_directories(${CMAKE_SOURCE_DIR}/libkdeedu/libscience/)

set(didyouknow_plasma_SRCS
    didyouknow.cpp
    )

add_library(plasma_applet_didyouknow ${didyouknow_plasma_SRCS})

target_link_libraries(plasma_applet_didyouknow
    KF5::Plasma KF5::KIOWidgests
    science
    )

install(TARGETS plasma_applet_didyouknow DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma_didyouknow.desktop DESTINATION ${SERVICES_INSTALL_DIR})

install(
    FILES chalkboard.svg
    DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/widgets/
    )

=== debian/changelog ===
kalzium (4:20.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.57.0
  * Update install files.
  * Unregister the old /etc/xdg/kalzium.knsrc conffile.
  * Enable the molecular editor: (Closes: #951674)
    - backport the upstream commit 2b9ebd854d85fa1e092c766e149e16ac18019496 to
      support OpenBabel 3; patch upstream_Add-support-for-OpenBabel-3.x.patch
    - add the libavogadro-dev, libkf5newstuff-dev, and libqt5opengl5-dev build
      dependencies
    - bump the libopenbabel-dev build dependency to 3.1.1+dfsg-4, as it
      contains all the needed cmake fixes
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Wed, 06 Jan 2021 16:42:07 +0100

kalzium (4:20.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_missing, as it is the default now
  * Add Rules-Requires-Root: no.
  * Re-export upstream signing key without extra signatures.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Pino Toscano <pino@debian.org>  Mon, 16 Nov 2020 12:49:23 +0100

kalzium (4:20.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - remove libkf5khtml-dev, no more needed
  * Update the patches:
    - no_install_rpath_use_link_path.diff: refresh
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
    - switch from dh_install to dh_missing for --fail-missing
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 02 May 2020 10:22:47 +0200

=== debian/control ===
Source: kalzium
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: chemical-mime-data,
               cmake (>= 3.5.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.57.0~),
               gettext,
               libavogadro-dev,
               libeigen3-dev (>> 2.0.3),
               libfacile-ocaml-dev,
               libkf5archive-dev (>= 5.57.0~),
               libkf5config-dev (>= 5.57.0~),
               libkf5coreaddons-dev (>= 5.57.0~),
               libkf5doctools-dev (>= 5.57.0~),
               libkf5i18n-dev (>= 5.57.0~),
               libkf5newstuff-dev (>= 5.57.0~),
               libkf5parts-dev (>= 5.57.0~),
               libkf5plotting-dev (>= 5.57.0~),
               libkf5solid-dev (>= 5.57.0~),
               libkf5unitconversion-dev (>= 5.57.0~),
               libkf5widgetsaddons-dev (>= 5.57.0~),
               libopenbabel-dev (>= 3.1.1+dfsg-4),
               libqt5opengl5-dev (>= 5.9.0~),
               libqt5svg5-dev (>= 5.9.0~),
               pkg-config,
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.9.0~),
               qtscript5-dev (>= 5.9.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://edu.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalzium
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalzium.git

Package: kalzium
Architecture: any
Section: science
Depends: kalzium-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkdeedu4 (<< 4:4.6.2), libscience4
Replaces: libkdeedu4 (<< 4:4.6.2), libscience4
Suggests: chemical-mime-data, khelpcenter
Description: periodic table and chemistry tools
 Kalzium is a full-featured chemistry application, including a
 Periodic Table of Elements, chemical reference, chemical equation solver, and
 3D molecule viewer.
 .
 This package is part of the KDE education module.

Package: kalzium-data
Architecture: all
Section: science
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: data files for Kalzium
 This package contains architecture-independent data files for Kalzium, the
 KDE periodic table application.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-6~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5

override_dh_auto_install:
	dh_auto_install
	# drop translations of plasma-related components, since they are
	# not ported yet
	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/plasma_*.mo
	# drop development stuff
	rm -rf debian/tmp/usr/include/
	find debian/tmp -name '*.so' -type l -delete

override_dh_gencontrol-indep: l10npkgs_firstversion_ok
	dh_gencontrol -i

## kalzium 20.12.3

=== debian/changelog ===
kalzium (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:16:36 +0000

kalzium (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:51:00 +0000

kalzium (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:08:09 +0000

## kalzium 21.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.5)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "20")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MAJOR "21")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
 set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -26,7 +26,10 @@
 find_package(Gettext REQUIRED)
 find_package(PythonInterp REQUIRED)
 find_package(PkgConfig)
-find_package(OpenBabel2)
+find_package(OpenBabel3 3.1)
+if(NOT ${OpenBabel3_FOUND})
+    find_package(OpenBabel2)
+endif()
 find_package(AvogadroLibs)
 find_package(Eigen3)
 find_package(OCaml)
@@ -37,9 +40,22 @@
 
 # create configuration file
 set(HAVE_FACILE ${LIBFACILE_FOUND})
+set(HAVE_OPENBABEL3 ${OpenBabel3_FOUND})
 set(HAVE_OPENBABEL2 ${OPENBABEL2_FOUND})
+if(HAVE_OPENBABEL2 OR HAVE_OPENBABEL3)
+    set(HAVE_OPENBABEL 1)
+endif()
 set(HAVE_EIGEN ${EIGEN3_FOUND})
 set(HAVE_AVOGADRO ${AvogadroLibs_FOUND})
+
+if(HAVE_OPENBABEL3)
+    set(OPENBABEL_INCLUDE_DIR ${OpenBabel3_INCLUDE_DIRS})
+    set(OPENBABEL_LIBRARIES ${OpenBabel3_LIBRARIES})
+elseif(HAVE_OPENBABEL2)
+    set(OPENBABEL_INCLUDE_DIR ${OPENBABEL2_INCLUDE_DIR})
+    set(OPENBABEL_LIBRARIES ${OPENBABEL2_LIBRARIES})
+endif()
+
 configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/config-kalzium.h.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/config-kalzium.h
@@ -97,7 +113,7 @@
 add_definitions(-DUSING_DYNAMIC_LIBS)
 endif(MSVC)
 
-if (OPENBABEL2_FOUND AND AvogadroLibs_FOUND AND EIGEN3_FOUND)
+if (HAVE_OPENBABEL AND AvogadroLibs_FOUND AND EIGEN3_FOUND)
   find_package(Qt5OpenGL ${QT_MIN_VERSION} REQUIRED)
   find_package(KF5NewStuff REQUIRED)
   # avoid compilerwarnings about redefinitions
@@ -107,9 +123,9 @@
     add_definitions(-DHAVE_SNPRINTF -DHAVE_STRCASECMP -DHAVE_STRNCASECMP)
   endif (WIN32)
   add_subdirectory(compoundviewer)
-else (OPENBABEL2_FOUND AND AvogadroLibs_FOUND AND EIGEN3_FOUND)
+else (HAVE_OPENBABEL AND AvogadroLibs_FOUND AND EIGEN3_FOUND)
   message(STATUS "Kalzium molecular editor disabled")
-endif (OPENBABEL2_FOUND AND AvogadroLibs_FOUND AND EIGEN3_FOUND)
+endif (HAVE_OPENBABEL AND AvogadroLibs_FOUND AND EIGEN3_FOUND)
 
 add_subdirectory(doc)
 add_subdirectory(src)

=== debian/changelog ===
kalzium (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 15:47:26 +0900

kalzium (4:21.04.0-2) experimental; urgency=medium

  [ Norbert Preining ]
  * Add missing dep on libopengl-dev.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 17:41:02 +0900

kalzium (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Drop Kubuntu from maintainer name.
  * Drop Eshat and Max from uploaders, thanks for your work.
  * Add myself to uploaders.
  * Update upstream signing key.
  * Update/drop patches.

 -- Norbert Preining <norbert@preining.info>  Fri, 23 Apr 2021 14:36:11 +0900

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: kalzium
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>,
-           Sune Vuorela <sune@debian.org>,
-           Maximiliano Curia <maxy@debian.org>,
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <sune@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: chemical-mime-data,
                cmake (>= 3.5.0~),
                debhelper-compat (= 13),
@@ -25,6 +24,7 @@
                libkf5unitconversion-dev (>= 5.57.0~),
                libkf5widgetsaddons-dev (>= 5.57.0~),
                libopenbabel-dev (>= 3.1.1+dfsg-4),
+               libopengl-dev,
                libqt5opengl5-dev (>= 5.9.0~),
                libqt5svg5-dev (>= 5.9.0~),
                pkg-config,

## kalzium 21.08.1

=== debian/changelog ===
kalzium (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:31:02 +0100

kalzium (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:59:15 +0100

kalzium (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:51:55 +0100

kalzium (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:31:15 +0100

kalzium (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:40:05 +0100

kalzium (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:36:26 +0100

kalzium (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:03:14 +0100

kalzium (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)
  * Drop included upstream_Add-support-for-OpenBabel-3.x.patch
  * Refresh no_install_rpath_use_link_path.diff

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:31:18 +0100

## kalzium 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "21")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalzium VERSION ${RELEASE_SERVICE_VERSION})

=== compoundviewer/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 include_directories(
     ${CMAKE_CURRENT_BINARY_DIR}/..
     ${EIGEN3_INCLUDE_DIR}
-    ${OPENBABEL2_INCLUDE_DIR}
+    ${OPENBABEL_INCLUDE_DIR}
     ${AvogadroLibs_INCLUDE_DIRS}
     ${PROJECT_SOURCE_DIR}/compoundviewer
 )
@@ -22,7 +22,7 @@
     Qt5::OpenGL
     Qt5::Gui
     Qt5::Widgets
-    ${OPENBABEL2_LIBRARIES}
+    ${OPENBABEL_LIBRARIES}
     AvogadroQtGui
     AvogadroQtOpenGL
     AvogadroQtPlugins
@@ -35,4 +35,4 @@
     CXX_STANDARD_REQUIRED ON
 )
 
-install(TARGETS compoundviewer ${INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS compoundviewer ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== doc/CMakeLists.txt ===
########### install files ###############

kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kalzium)
kdoctools_create_manpage(man-kalzium.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})

=== libscience/CMakeLists.txt ===
add_subdirectory(data)
add_subdirectory(tests)

set(science_LIB_SRCS
   element.cpp
   spectrum.cpp
   isotope.cpp
   spectrumparser.cpp
   elementparser.cpp
   isotopeparser.cpp
   chemicaldataobject.cpp
   moleculeparser.cpp
   parser.cpp
   psetables.cpp
)

add_library(science SHARED ${science_LIB_SRCS})

target_link_libraries(science Qt5::Xml KF5::UnitConversion KF5::WidgetsAddons KF5::I18n)
set_target_properties(science PROPERTIES VERSION ${KALZIUMLIB_VERSION} SOVERSION ${KALZIUMLIB_SOVERSION} )
install(TARGETS science  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
   chemicaldataobject.h
   element.h
   elementparser.h
   isotope.h
   isotopeparser.h
   libkdeedu_science_export.h
   moleculeparser.h
   parser.h
   spectrum.h
   spectrumparser.h
   psetables.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR}/libkdeedu  COMPONENT Devel
)

=== libscience/data/CMakeLists.txt ===

install(FILES
   elements.xml
   isotopes.xml
   symbols.csv
   symbols2.csv
   spectra.xml DESTINATION ${KDE_INSTALL_DATADIR}/libkdeedu/data/
)

=== plasmoid/engine/CMakeLists.txt ===
--- 
+++ 
@@ -13,5 +13,5 @@
    science
 )
 
-install(TARGETS plasma_engine_kalzium DESTINATION ${PLUGIN_INSTALL_DIR})
-install(FILES plasma-dataengine-kalzium.desktop DESTINATION ${SERVICES_INSTALL_DIR})
+install(TARGETS plasma_engine_kalzium DESTINATION ${KDE_INSTALL_PLUGINDIR})
+install(FILES plasma-dataengine-kalzium.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== plasmoid/applet/gasPlasmoid/CMakeLists.txt ===
project(gasCalculator)

set(gasCalculator_SRCS gasCalculator.cpp)
ki18n_wrap_ui(gasCalculator_SRCS gasCalculatorConfig.ui)
add_library(gasCalculator ${gasCalculator_SRCS})
target_link_libraries(gasCalculator
                      KF5::Plasma KF5::Ui KF5::WidgetsAddons
                      KF5::UnitConversion
                      )

install(TARGETS gasCalculator DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES gasCalculator.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== debian/changelog ===
kalzium (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:07:29 +0000

kalzium (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:14:00 +0000

kalzium (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:21:52 +0000

kalzium (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:18:45 +0000

kalzium (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:02:44 +0000

kalzium (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:14:12 +0000

kalzium (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:23:23 +0000

kalzium (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:37:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: kalzium
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Eshat Cakar <info@eshat.de>,
+           Sune Vuorela <sune@debian.org>,
+           Maximiliano Curia <maxy@debian.org>,
 Build-Depends: chemical-mime-data,
                cmake (>= 3.5.0~),
                debhelper-compat (= 13),
@@ -24,7 +26,6 @@
                libkf5unitconversion-dev (>= 5.57.0~),
                libkf5widgetsaddons-dev (>= 5.57.0~),
                libopenbabel-dev (>= 3.1.1+dfsg-4),
-               libopengl-dev,
                libqt5opengl5-dev (>= 5.9.0~),
                libqt5svg5-dev (>= 5.9.0~),
                pkg-config,
@@ -34,8 +35,8 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://edu.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalzium
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalzium.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalzium
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalzium
 
 Package: kalzium
 Architecture: any

## kalzium 22.08.1

=== debian/changelog ===
kalzium (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:37:00 +0100

kalzium (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Refresh patches.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:47:11 +0100

kalzium (4:22.04.3-0ubuntu2) kinetic; urgency=medium

  * Update lintian overrides

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 02 Aug 2022 12:33:50 +0100

kalzium (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:24:33 +0100

kalzium (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:58:21 +0100

kalzium (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:55:21 +0100

kalzium (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Refresh patches.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:44:50 +0100
